#pragma once

#include "Mix/Private/Sound/StreamingTask.h"

namespace Mix{ namespace Sound{

	class StreamingControllerMediator;

	class StreamingControllerTask : public Mix::Sound::StreamingTask
	{
	private:
		Mix::Sound::StreamingControllerMediator* m_pMediator;

	public:
		MIX_DECLARE_ALLOCATOR();

		StreamingControllerTask( Mix::Sound::StreamingControllerMediator* pMediator );
		virtual ~StreamingControllerTask( void );

	public:
		virtual Boolean Process( void );
	};

}}
